package cz.vutbr.fit.gja.androidspring;

import android.content.Intent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import cz.vutbr.fit.gja.androidspring.R;

public class MainActivity extends AbstractMenuActivity {

  // ***************************************
  // AbstractMenuActivity methods
  // ***************************************
  @Override
  protected String getDescription() {
    return getResources().getString(R.string.main_menu);
  }

  @Override
  protected String[] getMenuItems() {
    return getResources().getStringArray(R.array.main_menu_items);
  }

  @Override
  protected OnItemClickListener getMenuOnItemClickListener() {
    return new OnItemClickListener() {
      public void onItemClick(AdapterView<?> parentView, View childView, int position, long id) {
        Class<?> cls = null;
        switch (position) {
        case 0:
          cls = HttpGetActivity.class;
          break;
        case 1:
          cls = HttpPostActivity.class;
          break;
        default:
          break;
        }
        startActivity(new Intent(parentView.getContext(), cls));

      }
    };
  }

}